﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Infragistics.Controls.Schedules;


namespace WPfIgGantImportExport.Models
{
    public class ProjectViewModel : ObservableModel
    {
        #region Constructor
        public ProjectViewModel()
        {
            this.Tasks = new ObservableCollection<TaskModel>();
        }
        #endregion Constructor

        #region SelectedTask
        private TaskModel _selectedTask;
        public TaskModel SelectedTask
        {
            get
            {
                return _selectedTask;
            }
            set
            {
                if (value != null)
                {
                    _selectedTask = value;
                }

                NotifyPropertyChanged("SelectedTask");
            }
        }
        #endregion SelectedTask

        #region Tasks
        private ObservableCollection<TaskModel> _tasks;
        public ObservableCollection<TaskModel> Tasks
        {
            get
            {
                return _tasks;
            }
            set
            {
                if (value != null)
                {
                    _tasks = value;
                }

                NotifyPropertyChanged("Tasks");
            }
        }
        #endregion //Tasks

    }
}
